lp:debian/neovim

Created by Ubuntu Package Importer on 2016-09-18 and last modified on 2016-10-29
Get this branch:
bzr branch lp:debian/neovim
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

13. By James McCoy on 2016-10-29

* New upstream release.
  + Add gperf to Build-Depends
* Expand architectures which Build-Depend on luajit (powerpcspe) and
  lua-nvim (alpha, hppa, sparc64, x32).
* Set $USERNAME/$HOSTNAME when building to improve reproducibility.

12. By James McCoy on 2016-10-12

Disable tests for "indep" builds.

11. By James McCoy on 2016-10-08

Fix test failures by setting id/gid properly in the passwd/group files
used by libnss_wrapper.

10. By James McCoy on 2016-10-08

* Run Neovim's tests during the build
  + Add lua-nvim, lua-busted, and libnss-wrapper to Build-Depends
* Add support for the nocheck Build-Profile to exclude test-related
  Build-Depends.
* Remove unnecessary autoconf, automake Build-Depends.
* Cherry-pick df99e43b from upstream to ensure stray processes aren't
  lingering after running tests.
* Add alternatives for ex, rvim, rview, vi, vim, view, and vimdiff. Thanks
  to Josh Triplett for the patch! (Closes: #830580)

9. By James McCoy on 2016-09-24

* Arch-qualify (lib)luajit Build-Depends to really fix #812741.
* Add xxd Recommends to neovim now that it has its own package.

8. By James McCoy on 2016-09-24

Add lua5.1 as alternative Build-Depends for luajit/libluajit-5.1-dev.
This should enable building on more architectures, at the expense of less
testing. (Closes: #812741)

7. By James McCoy on 2016-09-16

* Upload to unstable.
* Exclude libjemalloc-dev from Build-Depends on hurd.

6. By James McCoy on 2016-08-24

[ upstream changes ]
* Re-introduce if_ruby support, if neovim Gem is installed.
* Rewritten man plugin (providing :Man command)
  + Enabled by default instead of requiring sourcing of ftplugin/man.vim
  + New features: completion, window handling, better parsing
* $NVIM_TUI_ENABLE_TRUE_COLOR replaced by Vim-compatible 'termguicolors'
  option

5. By James McCoy on 2016-06-27

* New upstream release
  + Replace lua-messagepack Build-Depends with lua-mpack.

4. By James McCoy on 2016-04-18

* New upstream release. (Closes: #820562)
* debian/control:
  + Remove unnecessary luarocks Build-Depends
  + Add libkvm-dev Build-Depends for kfreebsd-*
  + Add python(3)-neovim to Recommends. (Closes: #812737)
  + Declare compiance with policy 3.9.8, no changes needed.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers